---
kind: Application
apiVersion: argoproj.io/v1alpha1
metadata:
  name: cluster-3scale-project
  namespace: "openshift-gitops"
  labels:  &basic_labels
    app.kubernetes.io/component: "cluster-3scale"
    app.kubernetes.io/name: "startx-cluster-3scale-project-application"
  annotations: &basic_annotations
    openshift.io/generated-by: sxcm
    # argocd.argoproj.io/manifest-generate-paths: .
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    namespace: "startx-3scale"
    server: 'https://kubernetes.default.svc'
  info:
    - name: teammail
      value: dev@startx.fr
  project: cluster-admin
  source:
    path: charts/cluster-3scale/
    repoURL: 'https://github.com/startxfr/helm-repository.git'
    targetRevision: devel
    helm: {}
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - ApplyOutOfSyncOnly=true
      - CreateNamespace=false
      - Validate=true
    retry:
      limit: 5
      backoff:
        duration: 5s
        factor: 2
        maxDuration: 5m
  ignoreDifferences:
    - kind: ServiceAccount
      jsonPointers:
      - /imagePullSecrets
      - /secrets
